package _VisualDVM.GlobalData.Module;
import Common.CommonConstants;
import Common.Database.Objects.iDBObject;
import Common.Utils.Utils_;
import _VisualDVM.Global;
import _VisualDVM.GlobalData.Compiler.Compiler;
public class ModuleAnchestor extends iDBObject {
    //--------------------------------------------------------------------------------------
    public int machine_id = CommonConstants.Nan;
    public int compiler_id = CommonConstants.Nan;
    public String command = ""; //дополнительная команда компилятору. между вызовом и флагами.
    public String flags = ""; //последовательность флагов
    //---------------------------------------------------------------------------------------
    //для таблиц
    public String getCompilerDescription() {
        Compiler compiler;
        return ((compiler = getCompiler()) == null) ? "" : compiler.getDescription();
    }
    public Compiler getCompiler() {
        return Global.mainModule.getDb().getById(Compiler.class, compiler_id);
    }
    public String getDescription() {
        String res = "";
        if (getCompiler() != null) {
            res += Utils_.Brackets(getCompiler().getDescription());
            if (!command.isEmpty())
                res += " " + Utils_.Brackets(command);
            if (!flags.isEmpty())
                res += " " + Utils_.Brackets(flags);
        }
        return res;
    }
    public String getStatCommand() {
        Compiler compiler = getCompiler();
        return ((compiler != null) ? (compiler.call_command) : "");
    }
}
